#%if 0%{?rhel} && 0%{?rhel} <= 5
%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib())")}
%{!?python_sitearch: %global python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib(1))")}
#%endif

%define name         sensor-api
%define version      1.0.0
%define release      7

%define builddir     @RPM_BUILD_DIR@/build-%{name}-%{version}

%define default_user root

Name:           %{name}
Version:        %{version}
Release:        %{release}%{?dist}
Vendor:         EMI
License:        Apache License
URL:            http://grid-it.cnaf.infn.it
Source:         sensor-api-%{version}.tar.gz
Group:          System Environment/Shells
AutoReqProv:    yes
BuildArch:      noarch
BuildRoot:      %{_builddir}/var/tmp/%{name}-%{version}
Summary:        Provides the api files

%define _sysconfdir    /etc

BuildRequires: libtool
BuildRequires: automake
BuildRequires: autoconf
BuildRequires: python

%define debug_package %{nil}

Requires: python

%description
This contains sensor-api package.

%prep
echo Building %{name}-%{version}

%setup -q -n %{name}-%{version}

%build
/bin/bash bootstrap
./configure --prefix=/usr --datadir=/usr/share --sysconfdir=/etc --bindir=/usr/bin --exec_prefix=/usr 
make

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%dir %{python_sitearch}/storm/
%{python_sitearch}/storm/__init__.py
%{python_sitearch}/storm/__init__.pyc
%{python_sitearch}/storm/__init__.pyo
%dir %{python_sitearch}/storm/monitoring
%{python_sitearch}/storm/monitoring/__init__.py
%{python_sitearch}/storm/monitoring/__init__.pyc
%{python_sitearch}/storm/monitoring/__init__.pyo
%dir %{python_sitearch}/storm/monitoring/sensor
%{python_sitearch}/storm/monitoring/sensor/__init__.py
%{python_sitearch}/storm/monitoring/sensor/__init__.pyc
%{python_sitearch}/storm/monitoring/sensor/__init__.pyo
%dir %{python_sitearch}/storm/monitoring/sensor/api
%{python_sitearch}/storm/monitoring/sensor/api/built_sensors.py
%{python_sitearch}/storm/monitoring/sensor/api/built_sensors.pyc
%{python_sitearch}/storm/monitoring/sensor/api/built_sensors.pyo
%{python_sitearch}/storm/monitoring/sensor/api/converter.py
%{python_sitearch}/storm/monitoring/sensor/api/converter.pyc
%{python_sitearch}/storm/monitoring/sensor/api/converter.pyo
%{python_sitearch}/storm/monitoring/sensor/api/__init__.py
%{python_sitearch}/storm/monitoring/sensor/api/__init__.pyc
%{python_sitearch}/storm/monitoring/sensor/api/__init__.pyo
%{python_sitearch}/storm/monitoring/sensor/api/measure.py
%{python_sitearch}/storm/monitoring/sensor/api/measure.pyc
%{python_sitearch}/storm/monitoring/sensor/api/measure.pyo
%{python_sitearch}/storm/monitoring/sensor/api/measures.py
%{python_sitearch}/storm/monitoring/sensor/api/measures.pyc
%{python_sitearch}/storm/monitoring/sensor/api/measures.pyo
%{python_sitearch}/storm/monitoring/sensor/api/metrics.py
%{python_sitearch}/storm/monitoring/sensor/api/metrics.pyc
%{python_sitearch}/storm/monitoring/sensor/api/metrics.pyo
%{python_sitearch}/storm/monitoring/sensor/api/publisher.py
%{python_sitearch}/storm/monitoring/sensor/api/publisher.pyc
%{python_sitearch}/storm/monitoring/sensor/api/publisher.pyo
%{python_sitearch}/storm/monitoring/sensor/api/sensor.py
%{python_sitearch}/storm/monitoring/sensor/api/sensor.pyc
%{python_sitearch}/storm/monitoring/sensor/api/sensor.pyo
%{python_sitearch}/storm/monitoring/sensor/api/service_sensor.py
%{python_sitearch}/storm/monitoring/sensor/api/service_sensor.pyc
%{python_sitearch}/storm/monitoring/sensor/api/service_sensor.pyo
%{python_sitearch}/storm/monitoring/sensor/api/services.py
%{python_sitearch}/storm/monitoring/sensor/api/services.pyc
%{python_sitearch}/storm/monitoring/sensor/api/services.pyo
%{python_sitearch}/storm/monitoring/sensor/api/units.py
%{python_sitearch}/storm/monitoring/sensor/api/units.pyc
%{python_sitearch}/storm/monitoring/sensor/api/units.pyo

%dir %{_datadir}/doc/%{name}-%{version}
%doc %{_datadir}/doc/%{name}-%{version}/AUTHORS
%doc %{_datadir}/doc/%{name}-%{version}/LICENSE
%doc %{_datadir}/doc/%{name}-%{version}/INSTALL
%doc %{_datadir}/doc/%{name}-%{version}/README

%changelog
* Mon Oct 1 2012 Elisabetta Ronchieri <elisabetta.ronchieri@cnaf.infn.it> - %{version}
- added packaging
